#!/usr/bin/env python
# -*- coding: utf-8 -*-

# tutorial completo em
# https://matplotlib.org/stable/tutorials/introductory/pyplot.html#sphx-glr-tutorials-introductory-pyplot-py

from matplotlib.pyplot import figure, show
#dimensoes da figura num retangulo de 8 por 5
fig = figure(1,figsize=(8,5))
#em xlim e ylim coloca-se os limites da coisa nos respect eixos
ax = fig.add_subplot(111, autoscale_on=False, xlim=(-1,5), ylim=(-4,20))

#poligono 1
abcissas = [1, 2, 3, 4, 1, 1]
ordenadas = [1, 4, 9, 12, 12, 1]
#poligono 2
abcissas1 = [1, 2, 3, 4, 1, 1]
ordenadas1 = [5, 2, 4, 0, -1, 5]

#gravar na imagem o poligono1 e 2
line, = ax.plot(abcissas, ordenadas, lw=3, color='purple')
line, = ax.plot(abcissas1, ordenadas1, lw=3, color='blue')

#eu usarei o desenho dos pontos
pontos, = ax.plot([1,2,3,4], [1,4,9,16], 'ro')

#eu tb usarei anotacao das cotas
ax.annotate('anotacao', xy=(2, 4),  xycoords='data', textcoords='offset points')


show()
